<?php

/**
 * Copyright © 2013-2017 Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */
/**
 * Grid select input column renderer
 *
 * @author     Magento Core Team <core@magentocommerce.com>
 */

namespace FiloBlu\ExtMagentoWidget\Block\Adminhtml\Widget\Grid\Column\Renderer;

class CustomerGroup extends \Magento\Backend\Block\Widget\Grid\Column\Renderer\AbstractRenderer {

    /**
     * @var \Magento\Backend\Block\Widget\Grid\Column\Renderer\Options\Converter
     */
    protected $_converter;

    /**
     * @param \Magento\Backend\Block\Context $context
     * @param \Magento\Backend\Block\Widget\Grid\Column\Renderer\Options\Converter $converter
     * @param array $data
     */
    public function __construct(
    \Magento\Backend\Block\Context $context, \Magento\Backend\Block\Widget\Grid\Column\Renderer\Options\Converter $converter, array $data = []
    ) {
        $this->_converter = $converter;
        parent::__construct($context, $data);
    }

    /**
     * Get options from column
     *
     * @return array
     */
    protected function _getOptions() {
        return $this->_converter->toFlatArray($this->getColumn()->getOptions());
    }

    /**
     * Renders grid column
     *
     * @param   \Magento\Framework\DataObject $row
     * @return  string
     */
    public function render(\Magento\Framework\DataObject $row) {

        $html = '';
        $value = $row->getData($this->getColumn()->getIndex());
        $value = explode(",", $value);

        foreach ($value as $valueExploded) {
            foreach ($this->_getOptions() as $val => $label) {
                if ($valueExploded && $val == $valueExploded) {
                    $html .= $html ? "," . $label : $label;
                }
            }
        }

        return $html;
    }

}
